Bug 65799 - Port update: audio/slimserver
Summary: Port update: audio/slimserver
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-20 02:00 UTC by Brooks Davis
Modified: 2004-05-04 00:00 UTC (History)
0 users

See Also:


Attachments
file.diff (14.22 KB, patch)
2004-04-20 02:00 UTC, Brooks Davis
no flags Details | Diff
diff (1.89 KB, patch)
2004-04-21 22:34 UTC, Dan Pelleg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brooks Davis freebsd_committer 2004-04-20 02:00:37 UTC
        - Upgrade to 5.1.4.
        - Create empty config file on the first startup to allow
          settings to be saved.
        - Fix shutdown on 4.x and some 5.x systems.
        - Remove unnecessicary p5-URI dependency, p5-libwww handles
          it for us.
        - Add p5-Template-Toolkit dependency.
        - Remove some EXCLUDE_FILES already handled by EXCLUDE_DIRS
Comment 1 brooks 2004-04-20 05:16:32 UTC
Here's an updated diff with fixes for a couple more bugs reported by 
Dan Pelleg <daniel at pelleg.org>.

-- Brooks

diff -ruN vendor/slimserver/Makefile slimserver/Makefile
--- vendor/slimserver/Makefile	Fri Apr 16 13:47:02 2004
+++ slimserver/Makefile	Mon Apr 19 21:11:39 2004
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	slimserver
-PORTVERSION=	5.1.1
+PORTVERSION=	5.1.4
 CATEGORIES=	audio
 MASTER_SITES=	http://www.slimdevices.com/downloads/SlimServer_v${PORTVERSION}/
 DISTNAME=	SlimServer_v${PORTVERSION}
@@ -24,49 +24,49 @@
 		${SITE_PERL}/${PERL_ARCH}/MIME/Base64.pm:${PORTSDIR}/converters/p5-MIME-Base64 \
 		${SITE_PERL}/MP3/Info.pm:${PORTSDIR}/audio/p5-MP3-Info \
 		${SITE_PERL}/${PERL_ARCH}/Net/DNS.pm:${PORTSDIR}/dns/p5-Net-DNS \
-		${SITE_PERL}/${PERL_ARCH}/Time/HiRes.pm:${PORTSDIR}/devel/p5-Time-HiRes \
-		${SITE_PERL}/URI.pm:${PORTSDIR}/net/p5-URI
+		${SITE_PERL}/${PERL_ARCH}/Template.pm:${PORTSDIR}/www/p5-Template-Toolkit \
+		${SITE_PERL}/${PERL_ARCH}/Time/HiRes.pm:${PORTSDIR}/devel/p5-Time-HiRes
 
 .include <bsd.port.pre.mk>
 
 .if ${OSVERSION} < 502110
 RUN_DEPENDS+=	${LOCALBASE}/bin/pgrep:${PORTSDIR}/sysutils/pkill
+PGREPBASE=	${LOCALBASE}
+.else
+PGREPBASE=	/usr
 .endif
 
 NO_BUILD=	yes
 USE_RC_SUBR=	yes
 DOCFILES=	Changelog.html Installation.txt
-EXCEPTFILES=	${DOCFILES} \
-		Changes \
-		MANIFEST \
-		Makefile.PL \
-		README \
-		test_tone.wav \
-		.exists
+EXCEPTFILES=	${DOCFILES}
 EXCEPTDIRS=	Bin \
 		CPAN/arch \
 		CPAN/Audio/Wav \
 		CPAN/Class \
 		CPAN/File \
+		CPAN/HTML \
 		CPAN/HTTP \
 		CPAN/IO \
 		CPAN/LWP \
 		CPAN/MIME \
 		CPAN/MP3 \
 		CPAN/Net \
+		CPAN/Template \
 		CPAN/URI
 
 CPIOARGS=	--quiet -pdum -R
 PLIST_SUB=	SLIMDIR=${SLIMDIR}
 
 SED_SCRIPT+=	-e 's,%%PREFIX%%,${PREFIX},g' \
+		-e 's,%%PGREPBASE%%,${PGREPBASE},g' \
 		-e 's,%%RC_SUBR%%,${RC_SUBR},g' \
 		-e 's,%%SLIMDIR%%,${SLIMDIR},g'
 
 pre-fetch:
 .if !defined(SLIMDIR)
 	@${ECHO_MSG} ""
-	@${ECHO_MSG} "Define SLIMDIR to override default of 'slimdir'."
+	@${ECHO_MSG} "Define SLIMDIR to override default of 'slimserver'."
 	@${ECHO_MSG} ""
 .endif
 
diff -ruN vendor/slimserver/distinfo slimserver/distinfo
--- vendor/slimserver/distinfo	Fri Apr 16 13:47:02 2004
+++ slimserver/distinfo	Mon Apr 19 17:40:53 2004
@@ -1,2 +1,2 @@
-MD5 (SlimServer_v5.1.1.tar.gz) = ec6285a871eecc44e4077f7328a05442
-SIZE (SlimServer_v5.1.1.tar.gz) = 1506076
+MD5 (SlimServer_v5.1.4.tar.gz) = 091a15425b2830ff8d23e1c10f9216b3
+SIZE (SlimServer_v5.1.4.tar.gz) = 2340579
diff -ruN vendor/slimserver/files/slimserver.sh slimserver/files/slimserver.sh
--- vendor/slimserver/files/slimserver.sh	Fri Apr 16 13:47:02 2004
+++ slimserver/files/slimserver.sh	Mon Apr 19 21:14:00 2004
@@ -16,6 +16,7 @@
 . %%RC_SUBR%%
 
 name=slimserver
+start_precmd="slimserver_start_precmd"
 stop_cmd="slimserver_stop"
 rcvar=`set_rcvar`
 
@@ -27,6 +28,16 @@
 g=slimserv
 command_args="--daemon --prefsfile=${conffile} --logfile=${logfile} --user=${u} --group=${g} --pidfile=${pidfile}"
 
+PGREP=%%PGREPBASE%%/bin/pgrep
+
+slimserver_start_precmd()
+{
+	if [ ! -f ${conffile} ]; then
+		touch ${conffile}
+		chown slimserv:slimserv ${conffile}
+	fi
+}
+
 slimserver_stop()
 {
 	if [ ! -f ${pidfile} ]; then
@@ -34,9 +45,10 @@
 	fi
 	echo 'Stopping SlimServer.'
 	rc_pid=`cat ${pidfile}`
-	rc_pid=`pgrep -u ${u} | grep ${rc_pid}`
+	rc_pid=`${PGREP} -u ${u} | grep ${rc_pid}`
 	if [ -n "${rc_pid}" ]; then
-		rc_pids="${rc_pid} `pgrep -u ${u} mDNSResponderPosix`"
+		# Should be mDNSResponderPosix, but the port truncates
+		rc_pids="${rc_pid} `${PGREP} -u ${u} mDNSResponderPos`"
 
 		kill $sig_stop $rc_pids
 		wait_for_pids $rc_pids
diff -ruN vendor/slimserver/pkg-plist slimserver/pkg-plist
--- vendor/slimserver/pkg-plist	Fri Apr 16 13:47:03 2004
+++ slimserver/pkg-plist	Mon Apr 19 17:40:53 2004
@@ -6,8 +6,11 @@
 %%SLIMDIR%%/CPAN/Ogg/Vorbis/Header/PurePerl.pm
 %%SLIMDIR%%/CPAN/QuickTime/Movie.pm
 %%SLIMDIR%%/CPAN/Tie/RegexpHash.pm
-%%SLIMDIR%%/Firmware/squeezebox.bin
 %%SLIMDIR%%/Firmware/squeezebox.version
+%%SLIMDIR%%/Firmware/squeezebox_10.bin
+%%SLIMDIR%%/Firmware/squeezebox_20.bin
+%%SLIMDIR%%/Firmware/squeezebox_21.bin
+%%SLIMDIR%%/Firmware/squeezebox_8.bin
 %%SLIMDIR%%/HTML/Bagpuss/slimserver.css
 %%SLIMDIR%%/HTML/Dark/html/back.gif
 %%SLIMDIR%%/HTML/Dark/html/forward.gif
@@ -52,6 +55,8 @@
 %%SLIMDIR%%/HTML/Default/browseid3.html
 %%SLIMDIR%%/HTML/Default/browseid3_artwork.html
 %%SLIMDIR%%/HTML/Default/browseid3_list.html
+%%SLIMDIR%%/HTML/Default/edit_playlist.html
+%%SLIMDIR%%/HTML/Default/edit_playlist_list.html
 %%SLIMDIR%%/HTML/Default/helpfooter.html
 %%SLIMDIR%%/HTML/Default/helpheader.html
 %%SLIMDIR%%/HTML/Default/home.html
@@ -75,6 +80,7 @@
 %%SLIMDIR%%/HTML/Default/html/images/b_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/b_up.gif
 %%SLIMDIR%%/HTML/Default/html/images/browse.gif
+%%SLIMDIR%%/HTML/Default/html/images/browse.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/c.gif
 %%SLIMDIR%%/HTML/Default/html/images/c_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/d.gif
@@ -87,23 +93,41 @@
 %%SLIMDIR%%/HTML/Default/html/images/g_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/h.gif
 %%SLIMDIR%%/HTML/Default/html/images/h_BROWSE_BY_ALBUM.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_BROWSE_BY_ALBUM.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_BROWSE_BY_ARTIST.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_BROWSE_BY_ARTIST.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_BROWSE_BY_ARTWORK.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_BROWSE_BY_ARTWORK.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_BROWSE_BY_GENRE.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_BROWSE_BY_GENRE.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_BROWSE_BY_SONG.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_BROWSE_BY_SONG.gif.fr
+%%SLIMDIR%%/HTML/Default/html/images/h_EDIT_PLAYLIST.gif
 %%SLIMDIR%%/HTML/Default/html/images/h_MUSIC.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_MUSIC.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_MoodLogic.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_MoodLogic.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_SAVED_PLAYLISTS.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_SAVED_PLAYLISTS.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_Search.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_Search.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_SongInfo.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_SongInfo.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_browse_artists.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_browse_artists.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_browse_genres.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_browse_genres.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_browse_musicfolder.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_browse_musicfolder.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_browse_playlists.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_browse_playlists.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_help.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_help.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_home.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_home.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/h_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/h_settings.gif
+%%SLIMDIR%%/HTML/Default/html/images/h_settings.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/i.gif
 %%SLIMDIR%%/HTML/Default/html/images/i_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/j.gif
@@ -115,6 +139,7 @@
 %%SLIMDIR%%/HTML/Default/html/images/m.gif
 %%SLIMDIR%%/HTML/Default/html/images/m_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/musicplayer.gif
+%%SLIMDIR%%/HTML/Default/html/images/musicplayer.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/n.gif
 %%SLIMDIR%%/HTML/Default/html/images/n_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/nav_1.gif
@@ -142,62 +167,113 @@
 %%SLIMDIR%%/HTML/Default/html/images/nav_albums.gif
 %%SLIMDIR%%/HTML/Default/html/images/nav_albums_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/nav_all.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_all.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_all_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_all_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_artists.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_artists.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_artists_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_artists_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_clear.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_clear.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_currentplaylist.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_currentplaylist.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_download.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_download.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_genres.gif
 %%SLIMDIR%%/HTML/Default/html/images/nav_genres_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/nav_help.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_help.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_help_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_help_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_musicfolder.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_musicfolder.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_musicfolder_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_musicfolder_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_nowplaying.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_nowplaying.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_off.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_off.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_off_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_off_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_on.gif
 %%SLIMDIR%%/HTML/Default/html/images/nav_on_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/nav_one.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_one.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_one_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_one_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_pages.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_pages.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_pause.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_pause.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_pause_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_pause_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_play.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_play.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_play_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_play_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_playlists.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_playlists.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_playlists_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_playlists_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_previous.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_previous.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_previous_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_previous_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_repeat.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_repeat.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_save.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_save.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_search.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_search.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_settings.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_settings.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_settings_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_settings_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_shuffle.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_shuffle.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_skip.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_skip.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_skip_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_skip_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_songs.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_songs.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_songs_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_songs_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_spacer.gif
 %%SLIMDIR%%/HTML/Default/html/images/nav_spacer_dark.gif
 %%SLIMDIR%%/HTML/Default/html/images/nav_stop.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_stop.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_stop_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_stop_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_stopped.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_stopped.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/nav_volume.gif
+%%SLIMDIR%%/HTML/Default/html/images/nav_volume.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/o.gif
 %%SLIMDIR%%/HTML/Default/html/images/o_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/p.gif
 %%SLIMDIR%%/HTML/Default/html/images/p_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/player_on.gif
+%%SLIMDIR%%/HTML/Default/html/images/player_on.gif.fr
+%%SLIMDIR%%/HTML/Default/html/images/player_on_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/player_on_sel.gif.fr
+%%SLIMDIR%%/HTML/Default/html/images/player_standby.gif
+%%SLIMDIR%%/HTML/Default/html/images/player_standby.gif.fr
+%%SLIMDIR%%/HTML/Default/html/images/player_standby_sel.gif
+%%SLIMDIR%%/HTML/Default/html/images/player_standby_sel.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/r.gif
 %%SLIMDIR%%/HTML/Default/html/images/r_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/s.gif
 %%SLIMDIR%%/HTML/Default/html/images/s_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/sub_h_browse_music.gif
+%%SLIMDIR%%/HTML/Default/html/images/sub_h_browse_music.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/sub_h_help.gif
+%%SLIMDIR%%/HTML/Default/html/images/sub_h_help.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/sub_h_search_music.gif
+%%SLIMDIR%%/HTML/Default/html/images/sub_h_search_music.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/sub_h_settings.gif
+%%SLIMDIR%%/HTML/Default/html/images/sub_h_settings.gif.fr
 %%SLIMDIR%%/HTML/Default/html/images/t.gif
 %%SLIMDIR%%/HTML/Default/html/images/t_sel.gif
 %%SLIMDIR%%/HTML/Default/html/images/u.gif
@@ -256,6 +332,7 @@
 %%SLIMDIR%%/HTML/EN/html/bar_small_first.gif
 %%SLIMDIR%%/HTML/EN/html/bar_small_full.gif
 %%SLIMDIR%%/HTML/EN/html/controller.html
+%%SLIMDIR%%/HTML/EN/html/docs/artwork.html
 %%SLIMDIR%%/HTML/EN/html/docs/buttons.html
 %%SLIMDIR%%/HTML/EN/html/docs/crestronCLI.html
 %%SLIMDIR%%/HTML/EN/html/docs/faq.html
@@ -301,7 +378,9 @@
 %%SLIMDIR%%/HTML/EN/html/errors/401.html
 %%SLIMDIR%%/HTML/EN/html/errors/403.html
 %%SLIMDIR%%/HTML/EN/html/errors/404.html
+%%SLIMDIR%%/HTML/EN/html/errors/405.html
 %%SLIMDIR%%/HTML/EN/html/help_remote.html
+%%SLIMDIR%%/HTML/EN/html/help_remote.html.fr
 %%SLIMDIR%%/HTML/EN/html/images/remote.gif
 %%SLIMDIR%%/HTML/EN/html/images/remote_small.gif
 %%SLIMDIR%%/HTML/EN/html/images/slimdevices_logo.gif
@@ -837,6 +916,7 @@
 %%SLIMDIR%%/Plugins/Rescan.pm
 %%SLIMDIR%%/Plugins/SavePlaylist.pm
 %%SLIMDIR%%/Plugins/Shooter.pm
+%%SLIMDIR%%/Plugins/ShoutcastBrowser.pm
 %%SLIMDIR%%/Plugins/SlimTris.pm
 %%SLIMDIR%%/Plugins/Snow.pm
 %%SLIMDIR%%/Slim/Buttons/AlarmClock.pm
Comment 2 Dan Pelleg 2004-04-21 22:34:42 UTC
Additional fixes:
 - add a log rotation line
 - add a warning about the default settings

This patch has been reviewed by the maintainer.

Comment 3 Dan Pelleg 2004-04-21 23:03:34 UTC
[repost, not as an attachment]

Additional fixes:
 - add a log rotation entry
 - add a warning about the default settings

This patch has been reviewed by the maintainer.

diff -ruN 5.1.4/Makefile 5.1.4_1/Makefile
--- 5.1.4/Makefile	Mon Apr 19 21:25:05 2004
+++ 5.1.4_1/Makefile	Wed Apr 21 17:12:13 2004
@@ -92,6 +92,7 @@
 
 post-install:
 	@${SH} ${.CURDIR}/pkg-install ${PKGNAME} POST-INSTALL
+	@${CAT} ${PKGMESSAGE}
 
 ########################################################################
 # The following targets are for the port maintainer.  Use are your own #
diff -ruN 5.1.4/pkg-install 5.1.4_1/pkg-install
--- 5.1.4/pkg-install	Mon Apr 19 21:24:41 2004
+++ 5.1.4_1/pkg-install	Wed Apr 21 17:26:16 2004
@@ -1,6 +1,7 @@
 #!/bin/sh
 # $FreeBSD: ports/audio/slimserver/pkg-install,v 1.1 2004/04/16 13:13:30 krion Exp $
 
+name=slimserver
 u=slimserv
 g=slimserv
 ugid=104
@@ -8,6 +9,10 @@
 shell=/sbin/nologin
 comment="Slim Devices SlimServer pseudo-user"
 statedir=/var/db/slimserver
+pidfile=/var/run/${name}.pid
+logfile=/var/log/slimserver.log
+logline="${logfile}	${u}:${g}		644  3    100    *    Z ${pidfile}"
+log_comment_line="# added by audio/slimserver port"
 
 case $2 in
 PRE-INSTALL)
@@ -37,6 +42,15 @@
 	if [ ! -d ${statedir} ]; then
 		mkdir -p ${statedir}
 		chown -R ${u}:${g} ${statedir}
+	fi
+	if grep -q "^[^#]*${logfile}" /etc/newsyslog.conf; then
+		echo -n "It looks like you already have some logging set up, so I "
+		echo "will use it."
+	else
+		echo "Adding slimserver log entry to \"/etc/newsyslog.conf\"."
+		echo "$log_comment_line" >>/etc/newsyslog.conf
+		echo "$logline" >>/etc/newsyslog.conf
+		echo "Done."
 	fi
 	;;
 esac
diff -ruN 5.1.4/pkg-message 5.1.4_1/pkg-message
--- 5.1.4/pkg-message	Wed Dec 31 19:00:00 1969
+++ 5.1.4_1/pkg-message	Wed Apr 21 12:31:06 2004
@@ -0,0 +1,7 @@
+Note on security settings:
+
+The slimserver service is wide open, and by default there is no password.
+You can control access to your music collection by pointing your web
+browser to http://localhost:9000/, and then choosing:
+
+Server Settings/Additional Server Settings/Security
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2004-04-30 08:14:08 UTC
State Changed
From-To: open->feedback

It is somewhat difficult to tell which patches should be applied 
to this port.  The last section has a patch for the Makefile, 
pkg-install, and pkg-message.  Are these the only patches that 
should apply?  Do they completely replace the patches for the 
Makefile, above, or do they require it first?  Are the patches 
for pkg-plist, files/slimserver.sh, and distinfo still valid?
Comment 5 Brooks Davis freebsd_committer 2004-05-03 22:43:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->brooks

Handle my own pr now that I've got a ports commit bit.
Comment 6 Brooks Davis freebsd_committer 2004-05-03 23:59:48 UTC
State Changed
From-To: feedback->closed

Patch committed.